uix-events-overview-2 main {
  padding: var(--margin);
  padding-top: calc(var(--margin) + var(--top-padding));
  padding-bottom: calc(var(--margin) + var(--bottom-padding));
  height: 100%;
  overflow-y: auto;
  overflow-x: hidden;
}
uix-events-overview-2 main .warn-card {
  background: var(--bg-content-light);
  padding: 10px;
  border-radius: 10px;
  margin-top: 8px;
  background: var(--bg-warn);
  max-width: 800px;
}
uix-events-overview-2 main .warn-card h4 {
  margin: 0;
  font-size: 1.2em;
}
uix-events-overview-2 main section {
  all: revert;
}
uix-events-overview-2 main section button {
  font-weight: bold;
  border-radius: 20px;
  padding: 0.5rem 0.8rem;
}
uix-events-overview-2 main .btn-container {
  display: flex;
  gap: 5px 15px;
  align-items: baseline;
}
uix-events-overview-2 main .tns {
  cursor: pointer;
  transition: scale 0.1s;
}
uix-events-overview-2 main .tns:hover {
  scale: 1.01;
}
uix-events-overview-2 main h1 {
  margin-bottom: var(--margin);
}
uix-events-overview-2 main #currentEvents > h2 {
  margin-top: 60px !important;
}
uix-events-overview-2 main .showSelection {
  display: flex;
  gap: 10px;
  align-items: center;
  margin-bottom: 15px;
  font-weight: bold;
  flex-wrap: wrap;
}
uix-events-overview-2 main .title-container {
  display: flex;
  justify-content: space-between;
  margin-bottom: 20px;
}
uix-events-overview-2 main .title-container h1 {
  margin-top: 0;
}
@media screen and (max-width: 1200px) {
uix-events-overview-2   main .title-container {
    flex-direction: column;
    gap: 10px;
  }
}

uix-events-overview-2 input[type=search] {
  margin-bottom: 0;
  width: 400px;
}

uix-events-overview-2 #dateRangeContainer {
  position: relative;
}
uix-events-overview-2 #dateRangeContainer i {
  color: var(--text-light);
  position: absolute;
  top: 0;
  left: 10px;
  height: 100%;
  display: flex;
  align-items: center;
}
uix-events-overview-2 #dateRangeContainer i.clear {
  cursor: pointer;
  right: 10px;
  left: unset;
}

uix-events-overview-2 #searchContainer, uix-events-overview-2 #searchOrgContainer {
  position: relative;
  max-width: 100%;
}
uix-events-overview-2 #searchContainer i, uix-events-overview-2 #searchOrgContainer i {
  color: var(--text-light);
  position: absolute;
  left: 10px;
  height: 100%;
  display: flex;
  align-items: center;
}

uix-events-overview-2 .ongoingEventsContainer {
  background: none;
  border: none;
  padding: 0;
}
uix-events-overview-2 .ongoingEventsContainer summary {
  display: flex;
  flex-direction: column;
}
uix-events-overview-2 .ongoingEventsContainer .expand, uix-events-overview-2 .ongoingEventsContainer .collapse {
  background-color: var(--bg-content);
  border-radius: 5px;
  width: fit-content;
  padding: 5px 10px;
  align-items: center;
  display: flex;
  gap: 10px;
}
uix-events-overview-2 .ongoingEventsContainer .expand:hover, uix-events-overview-2 .ongoingEventsContainer .collapse:hover {
  background: var(--bg-content-lighter);
  scale: 0.985;
}
uix-events-overview-2 .ongoingEventsContainer .expand svg, uix-events-overview-2 .ongoingEventsContainer .collapse svg {
  height: 1em;
}
uix-events-overview-2 .ongoingEventsContainer[open] .expand {
  display: none;
}
uix-events-overview-2 .ongoingEventsContainer:not([open]) .collapse {
  display: none;
}
uix-events-overview-2 .ongoingEventsContainer summary > h2 {
  margin-top: 60px !important;
  cursor: default;
}
uix-events-overview-2 .ongoingEventsContainer .mobile {
  display: none;
}
@media screen and (max-width: 600px) {
uix-events-overview-2   .ongoingEventsContainer .mobile {
    display: block;
  }
uix-events-overview-2   .ongoingEventsContainer .desktop {
    display: none;
  }
}

uix-events-overview-2 #searchInput, uix-events-overview-2 #searchOrgInput {
  padding-left: 30px;
}

uix-events-overview-2 #dateRange {
  margin-bottom: 0;
  width: 350px;
  cursor: default;
  padding-left: 30px;
  border: none;
  opacity: 1;
  background-color: var(--bg-content);
}

uix-events-overview-2 .eventsList {
  max-width: 2200px;
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(min(500px, 100%), 1fr));
  gap: 10px;
}

@media screen and (max-width: 1000px) {
uix-events-overview-2   #dateRangeContainer {
    display: none;
  }

uix-events-overview-2   .btn-container {
    flex-wrap: wrap;
  }
}
@media screen and (min-width: 1200px) {
  .eventsList:has(> :last-child:nth-child(2)),
uix-events-overview-2 .eventsList:has(> :only-child) {
    grid-template-columns: repeat(auto-fit, min(100%, 500px));
  }
}
uix-events-overview-2 .event-preview-card.card:focus {
  border: 2px solid var(--text-light);
}
uix-events-overview-2 .event-preview-card.card:focus .card-header {
  border-top: 2px solid var(--text-light);
  border-left: 2px solid var(--text-light);
  border-right: 2px solid var(--text-light);
}
uix-events-overview-2 .event-preview-card.card:focus:hover {
  border: 2px solid transparent;
}
uix-events-overview-2 .event-preview-card.card:focus:hover .card-header {
  border: 2px solid transparent;
}
uix-events-overview-2 .event-preview-card #actionContainer {
  display: contents;
}
uix-events-overview-2 .event-preview-card.card {
  height: 100%;
  border: 2px solid transparent;
  cursor: pointer;
  display: flex;
  flex-direction: column;
  gap: 25px;
  position: relative;
}
uix-events-overview-2 .event-preview-card.card:hover {
  background: var(--bg-content-lighter);
  scale: 0.985;
}
uix-events-overview-2 .event-preview-card.card .card-header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 8px 20px;
  margin-left: -32px;
  margin-top: -32px;
  background: var(--bg-content-lighter);
  left: 0;
  top: 0;
  width: calc(100% + 64px);
  border-top-left-radius: 10px;
  border-top-right-radius: 10px;
  border: 2px solid transparent;
}
uix-events-overview-2 .event-preview-card.card .main-container {
  display: flex;
  justify-content: space-between;
  flex-direction: column;
  height: 100%;
  gap: 8px;
}
uix-events-overview-2 .event-preview-card.card .card-header.visited {
  background-color: var(--text);
  color: var(--bg);
}
uix-events-overview-2 .event-preview-card .progress {
  border-radius: 5px;
  display: flex;
  overflow: hidden;
  min-height: 6px;
}
uix-events-overview-2 .event-preview-card .progress div {
  height: 6px;
  border-radius: 5px;
}
uix-events-overview-2 .event-preview-card .progress .a {
  background-color: var(--green);
}
uix-events-overview-2 .event-preview-card .progress .b {
  background-color: var(--light-blue);
}
uix-events-overview-2 .event-preview-card .progress .c {
  background-color: var(--red);
}
uix-events-overview-2 .event-preview-card .progress .a:has(+ .b), uix-events-overview-2 .event-preview-card .progress .a:has(+ .c) {
  border-top-right-radius: 0;
  border-bottom-right-radius: 0;
}
uix-events-overview-2 .event-preview-card .progress .b:has(+ .c) {
  border-top-right-radius: 0;
  border-bottom-right-radius: 0;
}
uix-events-overview-2 .event-preview-card .progress .a + .b {
  border-top-left-radius: 0;
  border-bottom-left-radius: 0;
}
uix-events-overview-2 .event-preview-card .progress .b + .c, uix-events-overview-2 .event-preview-card .progress .a + .c {
  border-top-left-radius: 0;
  border-bottom-left-radius: 0;
}
uix-events-overview-2 .event-preview-card h2 {
  margin-top: 0 !important;
  margin-bottom: 10px;
  font-size: 1.4em;
}
